<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\DozentenInfo\Detailsreiter\DozentenDetails;

class DozentenDetailsView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/personendetails/personendetails.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->dozent
    );
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->dozent);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpDozenten();
  }
}

class DozentenDetailsViewModel
{
  public $toolSection;
  public $toolSettings;
  public $dozent;
  public $columns;
}